Package ghidra.program.model.lang

# Class Processor

java.lang.Object
ghidra.program.model.lang.Processor

All Implemented Interfaces:
  `Comparable<Processor>`

public class Processor extends Object implements Comparable<Processor>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Processor p)`
  `boolean`
  `equals(Object obj)`
  `static Processor`
  `findOrPossiblyCreateProcessor(String name)`
  Use this method if you want to grab a reference to a Processor given its name, but if it doesn't exist go ahead and create it anyway and return the new instance.
  `int`
  `hashCode()`
  `static Processor`
  `toProcessor(String name)`
  Use this method to look up a Processor from a String when you want a ProcessorNotFoundException thrown if the Processor isn't found.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### findOrPossiblyCreateProcessor

    public static Processor findOrPossiblyCreateProcessor(String name)
    Use this method if you want to grab a reference to a Processor given its name, but if it doesn't exist go ahead and create it anyway and return the new instance.
    Parameters:
      `name` - the name of the Processor you're looking for/going to create
    Returns:
      the Processor

  - ### toProcessor

    public static Processor toProcessor(String name)
    Use this method to look up a Processor from a String when you want a ProcessorNotFoundException thrown if the Processor isn't found.

    Warning: Use of this method depends upon languages being loaded. See `DefaultLanguageService`.

    Parameters:
      `name` - the name of the Processor you're looking for
    Returns:
      the Processor
    Throws:
      `ProcessorNotFoundException` - if the processor doesn't exist yet

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### compareTo

    public int compareTo(Processor p)
    Specified by:
      `compareTo` in interface `Comparable<Processor>`